## $Id: fileviewlets.py 12405 2015-01-05 16:29:07Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.ikoba.interfaces import MessageFactory as _

from waeup.ikoba.browser.fileviewlets import (
    FileDisplay, FileUpload, Image)

from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument

from waeup.ikoba.customers.browser import (
    DocumentDisplayFormPage,
    DocumentManageFormPage,
    DocumentEditFormPage,
    PDFDocumentSlipPage,)

grok.templatedir('browser_templates')

# File viewlets for customer documents

class SampleScanManageUpload(FileUpload):
    """Scan upload viewlet for officers.
    """
    grok.order(1)
    grok.context(SkeletonCustomerDocument)
    grok.view(DocumentManageFormPage)
    grok.require('waeup.manageCustomer')
    label = _(u'Sample Scan')
    title = _(u'Sample Scan')
    mus = 1024 * 200
    download_name = u'sample'
    tab_redirect = '#tab2'


class SampleScanEditUpload(SampleScanManageUpload):
    """Scan upload viewlet for customer.
    """
    grok.view(DocumentEditFormPage)
    grok.require('waeup.handleCustomer')


class SampleScanDisplay(FileDisplay):
    """Scan display viewlet.
    """
    grok.order(1)
    grok.context(SkeletonCustomerDocument)
    grok.require('waeup.viewCustomer')
    grok.view(DocumentDisplayFormPage)
    label = _(u'Sample Scan')
    title = _(u'Sample Scan')
    download_name = u'sample'


class SampleScanImage(Image):
    """Scan document.
    """
    grok.name('sample')
    grok.context(SkeletonCustomerDocument)
    grok.require('waeup.viewCustomer')
    download_name = u'sample'

class SampleScanPDFSlip(SampleScanDisplay):
    grok.view(PDFDocumentSlipPage)

